[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TIdentToInt

Callback for converting identifiers to integers.

## Declaration

Source position: classesh.inc line 2252

`type TIdentToInt = function(`
`const Ident: string;`
`var Int: LongInt`
`):Boolean;`

## Description

TIdentToInt is a callback used to look up identifiers (Ident) and return an integer value corresponding to this identifier (Int). The callback should return True if a value corresponding to integer Ident was found, False if not.

A callback of type TIdentToInt should be specified when an integer is registered using the RegisterIntegerConsts call.

## See also

RegisterIntegerConsts |  | Registers some integer-to-identifier mappings.
TIntToIdent |  | Callback for converting integers to identifiers.